Bug 1155778 - Review Request: python-regex - Alternative regular expression module, to replace re
Summary: Review Request: python-regex - Alternative regular expression module, to repl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1152131
TreeView+ depends on / blocked
 
Reported: 2014-10-22 19:31 UTC by Thomas Moschny
Modified: 2014-12-31 23:10 UTC (History)
2 users (show)

Fixed In Version: python-regex-2014.11.14-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-23 18:28:51 UTC
Type: ---
lupinix.fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Moschny 2014-10-22 19:31:31 UTC
Spec URL: https://thm.fedorapeople.org/python-regex/python-regex.spec
SRPM URL: https://thm.fedorapeople.org/python-regex/python-regex-2014.10.09-1.fc22.src.rpm

Description:
This new regex implementation is intended eventually to replace
Python's current re module implementation.

For testing and comparison with the current 're' module the new
implementation is in the form of a module called 'regex'.

Fedora Account System Username: thm
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7931621

Comment 1 Christian Dersch 2014-10-22 19:44:29 UTC
Assigned, review will follow soon!

Greetings,
Christian

Comment 2 Christian Dersch 2014-10-22 21:32:56 UTC
First review done, package looks already nice, just minor fixes required :)

Greetings,
Christian


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

====> Please fix this using '%{_fixperms} %{buildroot}/*' at end of %install section



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

====> We package for Python here and get unversioned so-files from this

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

====> Please ask upstream to include a license file :)

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 32 files have unknown license. Detailed output of
     licensecheck in /home/packaging/1155778-python-regex/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/python3.4/site-packages,
     /usr/lib64/python3.4

====> https://bugzilla.redhat.com/show_bug.cgi?id=1112409 => Is OK

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/python3.4/site-
     packages, /usr/lib64/python3.4

====> https://bugzilla.redhat.com/show_bug.cgi?id=1112409 => Is OK

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 184320 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

====> Already mentioned above: Please contact upstream :)

[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-regex

====> This is the python3 package, doesn't require the one for py2


[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-regex-2014.10.09-1.fc22.x86_64.rpm
          python3-regex-2014.10.09-1.fc22.x86_64.rpm
          python-regex-2014.10.09-1.fc22.src.rpm
python-regex.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/_regex.so 0775L
python3-regex.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/_regex.cpython-34m.so 0775L
3 packages and 0 specfiles checked; 2 errors, 0 warnings.


====> Please fix this using '%{_fixperms} %{buildroot}/*' at end of %install section


Rpmlint (installed packages)
----------------------------
# rpmlint python3-regex python-regex
python3-regex.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/_regex.cpython-34m.so 0775L
python-regex.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/_regex.so 0775L
2 packages and 0 specfiles checked; 2 errors, 0 warnings.
# echo 'rpmlint-done:'


====> Please fix this using '%{_fixperms} %{buildroot}/*' at end of %install section


Requires
--------
python3-regex (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python-regex (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python3-regex:
    python3-regex
    python3-regex(x86-64)

python-regex:
    python-regex
    python-regex(x86-64)



Unversioned so-files
--------------------
python-regex: /usr/lib64/python2.7/site-packages/_regex.so
python3-regex: /usr/lib64/python3.4/site-packages/_regex.cpython-34m.so


====> Normal behaviour in case of Python packages


Source checksums
----------------
https://pypi.python.org/packages/source/r/regex/regex-2014.10.09.tar.gz :
  CHECKSUM(SHA256) this package     : a6bd9370eb7ee4163ab8912c5e3597d8b5b9061de820fc482d85c1e42b9d7d7d
  CHECKSUM(SHA256) upstream package : a6bd9370eb7ee4163ab8912c5e3597d8b5b9061de820fc482d85c1e42b9d7d7d


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1155778
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Thomas Moschny 2014-10-23 09:58:22 UTC
Asked upstream to include a LICENSE file:
https://code.google.com/p/mrab-regex-hg/issues/detail?id=124

The permission problem is not present in koji builds, see the scratch build.
Could be a umask issue when building locally.

Comment 4 Christian Dersch 2014-10-23 10:10:05 UTC
Approved! Koji builds show no permission problems and you asked upstream => package is fine now :)

Greetings
Christian

Comment 5 Thomas Moschny 2014-10-23 18:44:42 UTC
Many thanks for the super-fast review!

New Package SCM Request
=======================
Package Name: python-regex
Short Description: Alternative regular expression module, to replace re
Upstream URL: https://pypi.python.org/pypi/regex
Owners: thm
Branches: f20 f21 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-10-23 19:42:12 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-12-14 08:05:24 UTC
python-regex-2014.11.14-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-regex-2014.11.14-1.el6

Comment 8 Fedora Update System 2014-12-14 08:05:31 UTC
python-regex-2014.11.14-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-regex-2014.11.14-1.el7

Comment 9 Fedora Update System 2014-12-14 08:05:36 UTC
python-regex-2014.11.14-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-regex-2014.11.14-1.fc21

Comment 10 Fedora Update System 2014-12-14 08:05:42 UTC
python-regex-2014.11.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-regex-2014.11.14-1.fc20

Comment 11 Fedora Update System 2014-12-14 22:08:17 UTC
python-regex-2014.11.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 12 Fedora Update System 2014-12-23 18:28:51 UTC
python-regex-2014.11.14-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-12-23 18:30:53 UTC
python-regex-2014.11.14-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-12-31 23:09:35 UTC
python-regex-2014.11.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2014-12-31 23:10:35 UTC
python-regex-2014.11.14-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.